Qt Reference Documentation

# Obsolete Members for QProcess

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QProcess class reference

## Public Functions

ProcessChannelMode | readChannelMode () const`(obsolete)`
void | setReadChannelMode ( ProcessChannelMode mode )`(obsolete)`

## Signals

void | finished ( int exitCode )`(obsolete)`

## Member Function Documentation

### void QProcess::finished ( int exitCode )`[signal]`

This is an overloaded function.

Use finished(int exitCode, QProcess::ExitStatus status) instead.

### ProcessChannelMode QProcess::readChannelMode () const

Returns the read channel mode of the QProcess. This function is equivalent to processChannelMode()

See also setReadChannelMode() and processChannelMode().

### void QProcess::setReadChannelMode ( ProcessChannelMode mode )

Use setProcessChannelMode(mode) instead.

See also readChannelMode() and setProcessChannelMode().